it-swarm-ko.tech

나는 PHP 내 CentOS에서의 날짜/시간 라이브러리에서의 사용. ", 지원을 추가로 설치할 수도 있습니까?

주변을 둘러 보았지만 내 PHP 기술은 꽤 초기 단계입니다. 설치가 필요한 패키지가 있다고 확신합니다.

편집을 클릭하여 설정에 대한 추가 정보를 추가합니다.

사용 :

yum info php

나는 [5.1.6] 버전의 PHP를 얻는다 :

Name       : php
Arch       : i386
Version    : 5.1.6

자세한 내용은 GoDaddy에서 CentOS를 실행하는 VM입니다.

CentOS release 5.4 (Final)
1
Larry Smithmier

PHP 5.2 이상으로 업그레이드하십시오.

오류 메시지는 WordPress에 있습니다. 기본적으로 말하고 싶은 것은, 그 기능이 작동하려면 PHP version> = 5.2가 필요하다는 것입니다.

PHP 버전을 업데이트하는 방법에 대해서는 운영 체제 설명서를 참조하거나 기술 지원부에 문의하십시오. 예를 들어 CentOS의 경우 : CentOS HowTos : PHP 5.1에서 5.2

업그레이드 된 시간대 유지

PHP 시간대 지원 을 최대한 활용하려면 최신 업데이트가 모두 포함 된 PECL 패키지가 있습니다 : timezonedb .

PHP을 (를) 최신 버전으로 업그레이드 할 때 다음 PECL 패키지를 설치하고 최신 시간대 업데이트를받을 수 있도록 업데이트 할 수 있습니다 (마지막 8 월 16 일).

$ yum install php-pear php-devel
$ pecl install timezonedb
3
hakre

wp-admin/options-general.php는 다음과 같은 오류 메시지를 출력합니다.

불행히도 일광 절약 시간제로 수동으로 업데이트해야합니다. PHP 날짜/시간 라이브러리는 웹 호스트에서 지원되지 않습니다.

PHP가 제공하는 다음 함수가 누락 된 경우 해당 코드 블록을 출력합니다.

이러한 함수의 대부분은 DateTime 클래스 패밀리에 의해 제공됩니다. 이것들은 문제의 기능에 따라 버전 5.1/5.2 이후 PHP핵심 부분입니다. 답변에서 명확한 설명을 요구하는 것이 싫지만 : PHP 어떤 버전의 호스트가 실행 중입니까?

1
Annika Backstrom

Smithmier ** :

업데이트 : 귀하의 업데이트로 이것은 귀하에게 적용되지 않지만 귀하의 동일한 문제로 많은 사람들에게 적용될 것이며 우리는 질문에 대한 일반적인 대답을 찾고 있습니다 그것은 단지 한 사람 이상에게 적용됩니다. 나는 그것을 떠날 것입니다.


나는 @hakre가 맞다고 생각하고 만약 그렇다면 그리고 귀하의 웹 호스트가 귀하의 웹 호스팅 계정의 기술 비트를 관리 할 수있는 CPanel을 제공하는지 다음은 PHP 버전을 변경할 수있는 곳입니다.

Screenshot for PHP Configuration on CPanel
(출처 : mikeschinkel.com )

그런 다음이 화면으로 이동하여 PHP 버전을 변경할 수 있습니다.

Changing your version of PHP on CPanel
(출처 : mikeschinkel.com )

1
MikeSchinkel